org.codehaus.plexus.classworlds.launcher

## Interface ConfigurationHandler

All Known Implementing Classes:
  Configurator

    public interface ConfigurationHandler

Receive notification of the logical content of launcher configuration, independently from parsing.

Author:
  Igor Fedorenko

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addImportFrom(String relamName, String importSpec)` Add an import specification from a realm
`void` `addLoadFile(File file)` Add a file to the realm
`void` `addLoadURL(URL url)` Add an URL to the realm
`void` `addRealm(String realmName)` Define a new realm
`void` `setAppMain(String mainClassName, String mainRealmName)` Define the main class name

### Method Detail

#### setAppMain

    void setAppMain(String mainClassName,
                    String mainRealmName)

Define the main class name

Parameters:
  `mainClassName` - the main class name
  `mainRealmName` - the main realm from which the main class is loaded

#### addRealm

    void addRealm(String realmName)
           throws DuplicateRealmException

Define a new realm

Parameters:
  `realmName` - the new realm name
Throws:
  `DuplicateRealmException`

#### addImportFrom

    void addImportFrom(String relamName,
                       String importSpec)
                throws NoSuchRealmException

Add an import specification from a realm

Parameters:
  `relamName` - the realm name
  `importSpec` - the import specification
Throws:
  `NoSuchRealmException`

#### addLoadFile

    void addLoadFile(File file)

Add a file to the realm

Parameters:
  `file` - the file to load content from

#### addLoadURL

    void addLoadURL(URL url)

Add an URL to the realm

Parameters:
  `url` - the url to load content from